# Module: util

### Methods

#### (static) appUrl(path) → {string}

Generate an absolute URL to a file w/in the project directory.

##### Parameters:

Name | Type | Description
--- | --- | ---
`path` | string |

Source:
  - frontend/src/module/util.js, line 28

##### Returns:

Type
  string

#### (static) clone(obj) → {*}

Makes a deep copy of the value passed in.

##### Parameters:

Name | Type | Description
--- | --- | ---
`obj` | * |

Source:
  - frontend/src/module/util.js, line 8

##### Returns:

Type
  *

#### (static) uuid_v4() → {string}

Generates a UUIDv4. Taken from: https://stackoverflow.com/questions/105034/how-to-create-a-guid-uuid

Source:
  - frontend/src/module/util.js, line 37

##### Returns:

Type
  string